// knihovna Simulation
// Poskytuje zakladni tridy pro diskretni simulaci
//////////////////////////////////////////////////////////////////////

#if !defined(EVENTNOTICE_H)
#define EVENTNOTICE_H

#include "simset.h"

//////////////////////////////////////////////////////////////////////
// EventNotice.h: interface for the CEventNotice class.
// Popisuje zaznam o udalosti pro planovani procesu
// obdoba tridy EVENT NOTICE z jazyka Simula 67
//////////////////////////////////////////////////////////////////////

class CProcess;

class CEventNotice : public CLink  
{

public:
	void SetName();
	CProcess* proc;			// odkaz na planovany proces
	TIME evTime;			// cas aktivace procesu

	void Rank(bool before);

	CEventNotice(TIME time, CProcess* p);
	virtual ~CEventNotice();

};

#endif // !defined(EVENTNOTICE_H)
