// knihovna Simulation
// Poskytuje zakladni tridy pro diskretni simulaci
//////////////////////////////////////////////////////////////////////

#if !defined(THREAD_H)
#define THREAD_H

#include "simset.h"
#include <pth.h>

//////////////////////////////////////////////////////////////////////
// Thread.h: interface for the CThread class.
// Zapouzdruje vlastnosti vlakna pth
//////////////////////////////////////////////////////////////////////

class CThread 
{
	
public:

	pth_t threadID;

	pth_t suspTh;
	// fce volana z ThreadProc pro konkretni objekt vlakna
	// je v ni popsano vlastni chovani vlakna
	virtual void Start() = 0;

protected:
	void InitThread();	
	// hlavni funkce vlakna, nutno deklarovat jako static
private:

public:

	void Suspend();
	void Resume();

	void SuspAnother(CThread* th);
				
	CThread();
	virtual ~CThread();

};

#endif // !defined(THREAD_H)
